import { Document } from 'mongoose';

export interface IUser extends Document {
  readonly _id: string;
  email: string;
  name: string;
  surname: string;
  phone: string;
  password: string;
  emailVerified: boolean;
  validationToken: string;
  resetPasswordToken: string;
  role: number;
  changeEmailToken: string;
  newEmail: string;
  structuresLink: string[];
  pendingStructuresLink: string[];
  structureOutdatedMailSent: string[];
}
